package fmon

import fmon.util.YamlHelper

case class Config(
    val title: String,
    val crit: Double,
    val stab: Double,
    val resistMult: Double,
    val weakMult: Double,
    val immuneMult: Double,
    val maxBoost: Int
  ) {
  
}

object Config {
  val config = YamlHelper.extract[Config](getClass.getResourceAsStream("config.yaml"))
  
  def title = config.title
  def crit = config.crit
  def stab = config.stab
  def resistMult = config.resistMult
  def weakMult = config.weakMult
  def immuneMult = config.immuneMult
  def maxBoost = config.maxBoost
}